﻿using Infrastructure;
using Interfaces.Controllers;
using Interfaces.Services;
using Interfaces.Views;

namespace Controllers
{
  /// <summary>
  /// controller that allows editing of a single Person object
  /// </summary>
  public class DataEntryViewController : BaseViewController<IDataEntryView>, IDataEntryViewController
  {

    public void EditPerson(int pPersonId)
    {
      var repo = ServiceLocator.Resolve<IRepository>();
      View.DataContext = repo.GetPerson(pPersonId);
      View.BindFirstName("FirstName");
      View.BindLastName("LastName");
    }
  }
}