﻿using System;
using Infrastructure;
using Interfaces.Controllers;
using Interfaces.Views;

namespace Controllers
{
	public class NavigationViewController : BaseViewController<INavigationView>, INavigationViewController
	{
    /// <summary>
    /// Name of the region where the detail and grid
    /// should register themselves
    /// </summary>
    public string WorkspaceRegionName { get; set; }

		private IDataGridViewController _gridViewController;
		private IDataEntryViewController _dataEntryViewController;

		public NavigationViewController()
		{
			InitializeEventHandlers();
		}

		private void InitializeEventHandlers()
		{
			View.DataEntryFormLaunchRequested += View_DataEntryFormLaunchRequested;
			View.GridFormLaunchRequested += View_GridFormLaunchRequested;
		}

		void View_GridFormLaunchRequested(object sender, EventArgs e)
		{
			if (_gridViewController == null)
			{
				_gridViewController = ServiceLocator.Resolve<IDataGridViewController>();
        _gridViewController.SetViewRegion(WorkspaceRegionName);
			}
			_gridViewController.Activate();

		}

		void View_DataEntryFormLaunchRequested(object sender, EventArgs e)
		{
			if (_dataEntryViewController == null)
			{
				_dataEntryViewController = ServiceLocator.Resolve<IDataEntryViewController>();
        _dataEntryViewController.SetViewRegion(WorkspaceRegionName);
				_dataEntryViewController.EditPerson(1);
			}
			_dataEntryViewController.Activate();
		}
	}
}
