﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Interfaces.Views;

namespace Interfaces.Controllers
{
  public interface IBaseViewController<T> where T : IBaseView
  {
    /// <summary>
    /// Returns the view currently being managed
    /// </summary>
    T View { get; }

    /// <summary>
    /// Sets the region the view should be displayed in
    /// </summary>
    void SetViewRegion(string pRegionName);

    /// <summary>
    /// Activates the view in its parent region
    /// </summary>
    void Activate();

    /// <summary>
    /// Deactivates the view
    /// </summary>
    void Deactivate();
  }
}
