﻿using System;
using Microsoft.Practices.Prism.Logging;

namespace Interfaces.Services
{
  /// <summary>
  /// Interface for Logger service
  /// </summary>
  public interface ILogger
  {
    /// <summary>
    /// Logs the given string to the log file
    /// </summary>
    void Log(string msg);

    /// <summary>
    /// Logs the message contained in the given exception
    /// to the log file.
    /// </summary>
    void Log(Exception exc);

    /// <summary>
    /// Uses the given format string to log the arguments
    /// to the log file.
    /// </summary>
    void Log(string format, params object[] arg);

    /// <summary>
    /// Logs the given message to the log file, marking it
    /// with the proper Category and Priority
    /// </summary>
    void Log(string pMessage, Category pCategory, Priority pPriority);
  }
}