﻿using System;
using System.Collections.Generic;
using BusinessModel;
using Microsoft.Practices.EnterpriseLibrary.Validation;

namespace Interfaces.Services
{
	public interface IRepository
	{
		/// <summary>
		/// Returns a list of all states the business provides services in
		/// </summary>
		List<string> GetValidStatesForCustomer(Guid pCustomerId);

		/// <summary>
		/// Returns the person specified by the ID
		/// </summary>
		Person GetPerson(int id);

		/// <summary>
		/// Gets a list of the people in the system
		/// </summary>
		List<Person> GetPeople();

    /// <summary>
    /// Saves changes made to all entities
    /// </summary>
	  ValidationResults SaveChanges();
	}
}
