﻿using System.Drawing;
using System.Net.Mime;

namespace Interfaces.Services
{
	public interface IResourceProvider
	{
		/// <summary>
		/// Returns the requested resource, or a default value
		/// if that resource does not exist.
		/// </summary>
		T GetResource<T>(string pName) where T : class;

		/// <summary>
		/// Value to return if the requested string is not found
		/// </summary>
		string MissingStringValue { get; set; }

		/// <summary>
		/// Value to return if the requested Icon is not found
		/// </summary>
		Icon MissingIconValue { get; set; }

		/// <summary>
		/// Value to return if the requested Image is not found
		/// </summary>
		Image MissingImageValue { get; set; }
	}
}
