﻿using System;
using System.Collections;
using System.Collections.Generic;
using Interfaces.Services;
using Microsoft.Practices.EnterpriseLibrary.Validation;

namespace Services
{
public class ValidationService : IValidationService
{
  public ValidationResults Validate(ICollection objectsToValidate)
  {
    var validationResults = new ValidationResults();
    foreach (var obj in objectsToValidate)
    {
      var validator = ValidationFactory.CreateValidator(obj.GetType());
      validationResults.AddAllResults(validator.Validate(obj));
    }
    return validationResults;
  }

}
}
