﻿using System.Collections.ObjectModel;
using BusinessModel;
using Infrastructure;
using Interfaces.Services;
using Interfaces.ViewModels;
using Interfaces.Views;

namespace ViewModels
{
  public class DataGridViewModel : BaseViewModel<IDataGridView>, IDataGridViewModel
	{
		public ObservableCollection<Person> People { get; set; }
		public string GridLabel { get; set; }

		public DataGridViewModel()
		{
			GridLabel = "People Grid";

			var repo = ServiceLocator.Resolve<IRepository>();
			People = new ObservableCollection<Person>(repo.GetPeople());

			View.DataContext = this;
		}

	}
}
