﻿using Constants;
using Infrastructure;
using Interfaces.ViewModels;
using Interfaces.Views;

namespace ViewModels
{
  public class ShellFormViewModel : BaseViewModel<IShellView>, IShellFormViewModel
  {

    public override void Activate()
    {
      //this needs to be in the Activate instead of constructor
      //so view has time to register its regions
      var navVM = ServiceLocator.Resolve<INavigationViewModel>();
      navVM.SetViewRegion(RegionNames.NavigationRegion);
      navVM.WorkspaceRegionName = RegionNames.WorkAreaRegion;

      var statBarVM = ServiceLocator.Resolve<IStatusBarViewModel>();
      statBarVM.SetViewRegion(RegionNames.StatusBarRegion);

      var toolbarVM = ServiceLocator.Resolve<IToolbarViewModel>();
      toolbarVM.SetViewRegion(RegionNames.ToolbarRegion);
    }
  }
}