﻿using System.Windows.Input;
using DataTransferObjects;
using Infrastructure;
using Interfaces.Services;
using Interfaces.ViewModels;
using Interfaces.Views;
using Microsoft.Practices.Prism.Commands;

namespace ViewModels
{
  public class ToolbarViewModel : BaseViewModel<IToolbarView>, IToolbarViewModel
  {
    public ICommand Button1Click
    { get { return _button1Click ?? (_button1Click = new DelegateCommand<string>(OnButton1)); } }
    private ICommand _button1Click;

    public ICommand Button2Click
    { get { return _button2Click ?? (_button2Click = new DelegateCommand<string>(OnButton2)); } }
    private ICommand _button2Click;

    public ICommand Button3Click
    { get { return _button3Click ?? (_button3Click = new DelegateCommand<string>(OnButton3)); } }
    private ICommand _button3Click;

    public ICommand Button4Click
    { get { return _button4Click ?? (_button4Click = new DelegateCommand<string>(OnButton4)); } }
    private ICommand _button4Click;

    public ICommand Button5Click
    { get { return _button5Click ?? (_button5Click = new DelegateCommand<string>(OnButton5)); } }
    private ICommand _button5Click;



    public ToolbarViewModel()
    {
      View.DataContext = this;
    }

    private void OnButton1(string obj)
    {
      var msgSvc = ServiceLocator.Resolve<IMessageAggregator>();
      msgSvc.GetEvent<StatusMessage>().Publish(new StatusMessageDto("Button 1 Clicked"));
    }

    private void OnButton2(string obj)
    {
      var msgSvc = ServiceLocator.Resolve<IMessageAggregator>();
      msgSvc.GetEvent<StatusMessage>().Publish(new StatusMessageDto("Button 2 Clicked"));
    }

    private void OnButton3(string obj)
    {
      var msgSvc = ServiceLocator.Resolve<IMessageAggregator>();
      msgSvc.GetEvent<StatusMessage>().Publish(new StatusMessageDto("Button 3 Clicked"));
    }

    private void OnButton4(string obj)
    {
      var msgSvc = ServiceLocator.Resolve<IMessageAggregator>();
      msgSvc.GetEvent<StatusMessage>().Publish(new StatusMessageDto("Button 4 Clicked"));
    }

    private void OnButton5(string obj)
    {
      var msgSvc = ServiceLocator.Resolve<IMessageAggregator>();
      msgSvc.GetEvent<StatusMessage>().Publish(new StatusMessageDto("Button 5 Clicked"));
    }


  }
}
