﻿using System.Windows.Forms;
using Constants;
using Infrastructure;
using Interfaces.Services;
using Interfaces.Views;

namespace Views_Winforms
{
	public partial class ShellView : Form, IShellView
	{
		public ShellView()
		{
			InitializeComponent();
			RegisterRegions();
		}

		private void RegisterRegions()
		{
			var regionMgr = ServiceLocator.Resolve<IWinformsRegionManager>();
			regionMgr.Register(navigationPnl, RegionNames.NavigationRegion);
			regionMgr.Register(workAreaPnl, RegionNames.WorkAreaRegion);
		}


		/// <summary>
		/// Assigns the proper region.  
    /// </summary>
    public void SetRegion(string pRegion)
		{
			//Ignore in shell
		}

    /// <summary>
    /// Makes this view invisible, but leaves it 
    /// registered for future activation. 
    /// </summary>
    public void SetActive()
    {
      //Ignore in shell.
    }
  
    /// <summary>
    /// Makes this view invisible, but leaves it 
    /// registered for future activation. 
    /// </summary>
    public void SetInActivate()
    {
      //Ignore in shell
    }
  }
}
